Index: XIOS/trunk/src/interface/fortran_attr/idomaingroup_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/idomaingroup_attr.F90	(revision 663)
+++ XIOS/trunk/src/interface/fortran_attr/idomaingroup_attr.F90	(revision 664)
@@ -684,16 +797,18 @@
 
       CALL xios(is_defined_domaingroup_attr_hdl_)  &
-      ( domaingroup_hdl, area, bounds_lat, bounds_lon, data_dim, data_i_index, data_ibegin, data_j_index  &
-      , data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref, group_ref, i_index  &
-      , ibegin, j_index, jbegin, latvalue, long_name, lonvalue, mask, name, ni, ni_glo, nj, nj_glo  &
-      , nvertex, standard_name, type )
+      ( domaingroup_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim  &
+      , data_i_index, data_ibegin, data_j_index, data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref  &
+      , domain_ref, group_ref, i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name  &
+      , lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name  &
+      , type )
 
   END SUBROUTINE xios(is_defined_domaingroup_attr_hdl)
 
   SUBROUTINE xios(is_defined_domaingroup_attr_hdl_)   &
-    ( domaingroup_hdl, area_, bounds_lat_, bounds_lon_, data_dim_, data_i_index_, data_ibegin_, data_j_index_  &
-    , data_jbegin_, data_n_index_, data_ni_, data_nj_, domain_group_ref_, domain_ref_, group_ref_  &
-    , i_index_, ibegin_, j_index_, jbegin_, latvalue_, long_name_, lonvalue_, mask_, name_, ni_  &
-    , ni_glo_, nj_, nj_glo_, nvertex_, standard_name_, type_ )
+    ( domaingroup_hdl, area_, bounds_lat_1d_, bounds_lat_2d_, bounds_lon_1d_, bounds_lon_2d_, data_dim_  &
+    , data_i_index_, data_ibegin_, data_j_index_, data_jbegin_, data_n_index_, data_ni_, data_nj_  &
+    , domain_group_ref_, domain_ref_, group_ref_, i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_  &
+    , latvalue_2d_, long_name_, lonvalue_1d_, lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_  &
+    , nj_, nj_glo_, nvertex_, standard_name_, type_ )
 
     IMPLICIT NONE
@@ -701,8 +816,12 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: area_
       LOGICAL(KIND=C_BOOL) :: area__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_lat_
-      LOGICAL(KIND=C_BOOL) :: bounds_lat__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_lon_
-      LOGICAL(KIND=C_BOOL) :: bounds_lon__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_lat_1d_
+      LOGICAL(KIND=C_BOOL) :: bounds_lat_1d__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_lat_2d_
+      LOGICAL(KIND=C_BOOL) :: bounds_lat_2d__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_lon_1d_
+      LOGICAL(KIND=C_BOOL) :: bounds_lon_1d__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_lon_2d_
+      LOGICAL(KIND=C_BOOL) :: bounds_lon_2d__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: data_dim_
       LOGICAL(KIND=C_BOOL) :: data_dim__tmp
@@ -735,12 +854,18 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: jbegin_
       LOGICAL(KIND=C_BOOL) :: jbegin__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: latvalue_
-      LOGICAL(KIND=C_BOOL) :: latvalue__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: latvalue_1d_
+      LOGICAL(KIND=C_BOOL) :: latvalue_1d__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: latvalue_2d_
+      LOGICAL(KIND=C_BOOL) :: latvalue_2d__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: long_name_
       LOGICAL(KIND=C_BOOL) :: long_name__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: lonvalue_
-      LOGICAL(KIND=C_BOOL) :: lonvalue__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: mask_
-      LOGICAL(KIND=C_BOOL) :: mask__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: lonvalue_1d_
+      LOGICAL(KIND=C_BOOL) :: lonvalue_1d__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: lonvalue_2d_
+      LOGICAL(KIND=C_BOOL) :: lonvalue_2d__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: mask_1d_
+      LOGICAL(KIND=C_BOOL) :: mask_1d__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: mask_2d_
+      LOGICAL(KIND=C_BOOL) :: mask_2d__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: name_
       LOGICAL(KIND=C_BOOL) :: name__tmp
@@ -765,12 +890,22 @@
       ENDIF
 
-      IF (PRESENT(bounds_lat_)) THEN
-        bounds_lat__tmp = cxios_is_defined_domaingroup_bounds_lat(domaingroup_hdl%daddr)
-        bounds_lat_ = bounds_lat__tmp
-      ENDIF
-
-      IF (PRESENT(bounds_lon_)) THEN
-        bounds_lon__tmp = cxios_is_defined_domaingroup_bounds_lon(domaingroup_hdl%daddr)
-        bounds_lon_ = bounds_lon__tmp
+      IF (PRESENT(bounds_lat_1d_)) THEN
+        bounds_lat_1d__tmp = cxios_is_defined_domaingroup_bounds_lat_1d(domaingroup_hdl%daddr)
+        bounds_lat_1d_ = bounds_lat_1d__tmp
+      ENDIF
+
+      IF (PRESENT(bounds_lat_2d_)) THEN
+        bounds_lat_2d__tmp = cxios_is_defined_domaingroup_bounds_lat_2d(domaingroup_hdl%daddr)
+        bounds_lat_2d_ = bounds_lat_2d__tmp
+      ENDIF
+
+      IF (PRESENT(bounds_lon_1d_)) THEN
+        bounds_lon_1d__tmp = cxios_is_defined_domaingroup_bounds_lon_1d(domaingroup_hdl%daddr)
+        bounds_lon_1d_ = bounds_lon_1d__tmp
+      ENDIF
+
+      IF (PRESENT(bounds_lon_2d_)) THEN
+        bounds_lon_2d__tmp = cxios_is_defined_domaingroup_bounds_lon_2d(domaingroup_hdl%daddr)
+        bounds_lon_2d_ = bounds_lon_2d__tmp
       ENDIF
 
@@ -850,7 +985,12 @@
       ENDIF
 
-      IF (PRESENT(latvalue_)) THEN
-        latvalue__tmp = cxios_is_defined_domaingroup_latvalue(domaingroup_hdl%daddr)
-        latvalue_ = latvalue__tmp
+      IF (PRESENT(latvalue_1d_)) THEN
+        latvalue_1d__tmp = cxios_is_defined_domaingroup_latvalue_1d(domaingroup_hdl%daddr)
+        latvalue_1d_ = latvalue_1d__tmp
+      ENDIF
+
+      IF (PRESENT(latvalue_2d_)) THEN
+        latvalue_2d__tmp = cxios_is_defined_domaingroup_latvalue_2d(domaingroup_hdl%daddr)
+        latvalue_2d_ = latvalue_2d__tmp
       ENDIF
 
@@ -860,12 +1000,22 @@
       ENDIF
 
-      IF (PRESENT(lonvalue_)) THEN
-        lonvalue__tmp = cxios_is_defined_domaingroup_lonvalue(domaingroup_hdl%daddr)
-        lonvalue_ = lonvalue__tmp
-      ENDIF
-
-      IF (PRESENT(mask_)) THEN
-        mask__tmp = cxios_is_defined_domaingroup_mask(domaingroup_hdl%daddr)
-        mask_ = mask__tmp
+      IF (PRESENT(lonvalue_1d_)) THEN
+        lonvalue_1d__tmp = cxios_is_defined_domaingroup_lonvalue_1d(domaingroup_hdl%daddr)
+        lonvalue_1d_ = lonvalue_1d__tmp
+      ENDIF
+
+      IF (PRESENT(lonvalue_2d_)) THEN
+        lonvalue_2d__tmp = cxios_is_defined_domaingroup_lonvalue_2d(domaingroup_hdl%daddr)
+        lonvalue_2d_ = lonvalue_2d__tmp
+      ENDIF
+
+      IF (PRESENT(mask_1d_)) THEN
+        mask_1d__tmp = cxios_is_defined_domaingroup_mask_1d(domaingroup_hdl%daddr)
+        mask_1d_ = mask_1d__tmp
+      ENDIF
+
+      IF (PRESENT(mask_2d_)) THEN
+        mask_2d__tmp = cxios_is_defined_domaingroup_mask_2d(domaingroup_hdl%daddr)
+        mask_2d_ = mask_2d__tmp
       ENDIF
 
